--- check.sh.ori	2015-06-13 15:54:40.847867946 +0200
+++ check.sh	2015-07-05 15:44:10.720898154 +0200
@@ -85,7 +85,7 @@
 DetectX()
 {
 x_binaries="X Xorg"
-x_dirs="/usr/X11R6/bin/ /usr/local/bin/ /usr/X11/bin/ /usr/bin/ /bin/"
+x_dirs="/usr/X11R6/bin/ /usr/local/bin/ /usr/X11/bin/ /usr/bin/ /bin/ /usr/libexec/"
 
 
 for the_x_binary in ${x_binaries}; do
@@ -97,6 +97,8 @@
     for x_bin in ${x_full_dirs}; do 
         if [ -x ${x_bin} ];
         then
+           # under Fedora, rootless X refuses to be launched even with -version, detect that
+           ${x_bin} -version >/dev/null 2>&1 || continue
            # try to detect XOrg up to 7.2
            x_ver_num=`${x_bin} -version 2>&1 | grep 'X Window System Version [0-9]\.' | sed -e 's/^.*X Window System Version //' | cut -d' ' -f1`
 
@@ -128,6 +130,8 @@
             then
 
               
+                # under Fedora, rootless X refuses to be launched even with -version, detect that
+                ${x_bin} -version >/dev/null 2>&1 || continue
                 # XOrg 7.2 or lower has not been detected, try to detect XOrg 7.3 and greater
                 x_ver_num=`${x_bin} -version 2>&1 | grep 'X\.Org X Server [0-9]\.[0-9]' | sed -e 's/^.*X\.Org X Server //'`
                 X_VERSION="XServer $x_ver_num"
